#include <bits/stdc++.h>
using namespace std;
string sj,sd[100005];
int n,m;
int main() {

    cin >> sj;
    cin >> n >> m;
    if(n>=m+2 or m>=n+2) {
            cout << "nemoguce" << endl;
        }
    else {
        if(n==m) {
            for(int i=0; i<n+m; i++) {
                if(i%2==0) {
                    sd[i]=sj[0];

                }
                else(sd[i]=sj[1]);
                cout << sd[i];
            }
        }
        if(n>m) {
            for(int i=0; i<n+m; i++) {
                if(i%2==0) {
                    sd[i]=sj[0];

                }
                else(sd[i]=sj[1]);
                cout << sd[i];
            }

        }
        if(m>n) {
            for(int i=0; i<n+m; i++) {
                if(i%2==1) {
                    sd[i]=sj[0];

                }
                else(sd[i]=sj[1]);
                cout << sd[i];
            }
        }

    }

      //  cout << sd << endl;


    return 0;
}